Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal.command.render
Class RenderWindowCommand

    java.lang.Object
      org.jboss.portal.common.invocation.Invocation
          org.jboss.portal.core.controller.ControllerCommand
              org.jboss.portal.core.model.portal.command.PortalObjectCommand
                  org.jboss.portal.core.model.portal.command.PortalCommand
                      org.jboss.portal.core.model.portal.command.PageCommand
                          org.jboss.portal.core.model.portal.command.WindowCommand
                              org.jboss.portal.core.model.portal.command.render.RenderWindowCommand

All Implemented Interfaces:
  ContentRendererContext

    public class RenderWindowCommand

extends WindowCommand
implements ContentRendererContext

Version:
  $Revision: 11068 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.core.model.portal.command.WindowCommand
`window`

Fields inherited from class org.jboss.portal.core.model.portal.command.PageCommand
`page`

Fields inherited from class org.jboss.portal.core.model.portal.command.PortalCommand
`portal`

Fields inherited from class org.jboss.portal.core.model.portal.command.PortalObjectCommand
`dashboard, target, targetId`

Fields inherited from class org.jboss.portal.core.controller.ControllerCommand
`context, log, NAVIGATIONAL_STATE_SCOPE, PRINCIPAL_SCOPE, REQUEST_SCOPE, SESSION_SCOPE`

Fields inherited from class org.jboss.portal.common.invocation.Invocation
`EMPTY_STACK`

Constructor Summary
`RenderWindowCommand(ControllerPageNavigationalState pageNavigationalState, PortalObjectId windowId)`

Method Summary
`void` | `acquireResources()`
`org.jboss.portal.portlet.invocation.RenderInvocation` | `createRenderInvocation(org.jboss.portal.portlet.controller.state.PortletWindowNavigationalState navigationalState)`
`ControllerResponse` | `execute()` Execute the command.
`CommandInfo` | `getInfo()` Return the meta data of this command.
`org.jboss.portal.portlet.controller.state.PortletWindowNavigationalState` | `getPortletNavigationalState()`
`java.util.Map<java.lang.String,java.lang.String[]>` | `getPublicNavigationalState()`
`org.jboss.portal.identity.User` | `getUser()`
`WindowRendition` | `render(ControllerContext ctx)` Hack the command system.

Methods inherited from class org.jboss.portal.core.model.portal.command.WindowCommand
`enforceSecurity, getWindow, initPage`

Methods inherited from class org.jboss.portal.core.model.portal.command.PageCommand
`getPage, initPortal`

Methods inherited from class org.jboss.portal.core.model.portal.command.PortalCommand
`getPortal`

Methods inherited from class org.jboss.portal.core.model.portal.command.PortalObjectCommand
`getTarget, getTargetId, isDashboard`

Methods inherited from class org.jboss.portal.core.controller.ControllerCommand
`create, createContext, destroy, destroyContext, getContext, getControllerContext, releaseResources, rethrow`

Methods inherited from class org.jboss.portal.common.invocation.Invocation
`getAttribute, getHandler, invoke, invokeNext, removeAttribute, setAttribute, setHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.core.model.portal.content.ContentRendererContext
`getWindow`

Constructor Detail

### RenderWindowCommand

    public RenderWindowCommand(ControllerPageNavigationalState pageNavigationalState,
                               PortalObjectId windowId)
                        throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

Method Detail

### getInfo

    public CommandInfo getInfo()

  Description copied from class: `ControllerCommand`
  Return the meta data of this command.

  Specified by:
    `getInfo` in class `ControllerCommand`

### render

    public WindowRendition render(ControllerContext ctx)
                           throws ControllerException

  Hack the command system.

  Throws:
    `ControllerException`

### execute

    public ControllerResponse execute()
                               throws ControllerException

  Description copied from class: `ControllerCommand`
  Execute the command.

  Specified by:
    `execute` in class `ControllerCommand`
  Throws:
    `ControllerException`

### getPublicNavigationalState

    public java.util.Map<java.lang.String,java.lang.String[]> getPublicNavigationalState()

### getPortletNavigationalState

    public org.jboss.portal.portlet.controller.state.PortletWindowNavigationalState getPortletNavigationalState()

  Specified by:
    `getPortletNavigationalState` in interface `ContentRendererContext`

### getUser

    public org.jboss.portal.identity.User getUser()

  Specified by:
    `getUser` in interface `ContentRendererContext`

### createRenderInvocation

    public org.jboss.portal.portlet.invocation.RenderInvocation createRenderInvocation(org.jboss.portal.portlet.controller.state.PortletWindowNavigationalState navigationalState)

  Specified by:
    `createRenderInvocation` in interface `ContentRendererContext`

### acquireResources

    public void acquireResources()
                          throws NoSuchResourceException

  Overrides:
    `acquireResources` in class `PortalCommand`
  Throws:
    `NoSuchResourceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD